<?php
/**
 * Function to save the log file
 */
function pmproec_log( $entry ) {
    $pmproec_log_api_calls = get_option( 'pmproec_log_api_calls' ,'');
    if ( isset( $pmproec_log_api_calls ) && $pmproec_log_api_calls == "yes") {
        $logstr = "Logged On: " . date_i18n("m/d/Y H:i:s") . "\n";
        $logstr .= $entry;
        $logstr .= "\n-------------\n";

        $pmpromc_log_path = apply_filters( 'pmproec_log_path', PMPROEC_DIR . "/logs/pmproec-log.txt" );

        $loghandle = fopen( $pmpromc_log_path, "a+" );
        fwrite($loghandle, $logstr);
        fclose($loghandle);
    }
}